Page MenuHomePhabricator

Rework Jimmy language on Endowment donate page & update content
Closed, ResolvedPublic0 Estimated Story Points

Event Timeline

DStrine created this task.Jul 23 2019, 4:54 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 23 2019, 4:54 PM

Shared this update with @spatton & @Pcoombe last Friday -- ask is to update the Endowment donatewiki page with the content and edits listed in this doc under "Option 1" (replacing main quote, removing "Where your donation goes", and updating the "Other ways to give" and FAQ links at the bottom.

kaythaney renamed this task from Rework Jimmy language on Endowment donate page & update aesthetic to match new site to Rework Jimmy language on Endowment donate page & update content.Sep 30 2019, 6:32 PM

Hey @DStrine, wanted to make sure you also saw the doc @kaythaney included in her last comment. We will take care of the donate wiki updates; does fr-tech still have capacity to implement the payments wiki side of things?

@kaythaney Sorry for the delay on this. I've updated donatewiki with the changes requested: https://donate.wikimedia.org/?utm_medium=endowment. Let me know if this looks okay.

Like paymentswiki you now just need to include utm_medium=endowment in the link to get the new page, so the existing links on wikimediaendowment.org will go to it automatically. You might still want to update them to remove the extra parameters and fix the utm_campaign and utm_source values to something more trackable e.g. https://donate.wikimedia.org/?country=US&uselang=en&utm_medium=endowment&utm_campaign=endowmentSite&utm_source=endowmentSite

Also can we accept donations to the endowment from outside the US? If so we could remove the country=US from the link to allow donations in local currency.

DStrine updated the task description. (Show Details)Oct 15 2019, 1:40 PM

This looks great, @Pcoombe ! Thanks all! I'll make sure the pointer links on the endowment website are up to date, as well.

XenoRyet claimed this task.Nov 1 2019, 4:37 PM
XenoRyet moved this task from Backlog to Doing on the Fundraising Sprint Visual Basic Instinct board.
XenoRyet closed this task as Resolved.Nov 12 2019, 9:12 PM